Skip to main content
GET
/
transactions
Get All Transactions
curl --request GET \
  --url https://api.swoogo.com/api/v1/transactions \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "created_at": "2023-04-21 15:46:23",
      "updated_at": "2023-04-21 15:47:37"
    }
  ],
  "_links": {
    "self": {
      "href": ""
    },
    "first": {
      "href": ""
    },
    "last": {
      "href": ""
    }
  },
  "_meta": {
    "totalCount": 1,
    "pageCount": 1,
    "currentPage": 1,
    "perPage": 20
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Query Parameters

event_id
integer
required

integer - required - The ID of the event you want to retrieve transactions for

Example:

1

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,registrant_id,type,datetime,status,amount,created_at,created_by,updated_at,updated_by,card_type,card_number_last_4,name_on_card,notes,gateway_id"

expand
string

string - optional - Comma separated list of objects you want to return

Example:

""

string - optional - Filter conditions to narrow the results. Valid operators are =, !=, >=, <=, >, <, contains, beginswith, endswith. Searchable fields include id, registrant_id, type, datetime, status, amount, payment_method_fee, currency, card_type, card_number_last_4, name_on_card, gateway_transaction_id, gateway_id, notes, created_by, created_at, updated_by, updated_at, order_number

Example:

"id>123"

page
string

integer - optional - The page of results you want to view

Example:

"1"

per-page
string

integer - optional - The number of results per page (to a max of 200)

Example:

"5"

sort
string

string - optional - Sort the results (add - in front for opposite sort direction, e.g. "-id")

ids
string

Comma-separated list of IDs to retrieve. When provided, only records matching these IDs are returned. All values must be positive integers. Maximum 100 IDs per request.

Response

Collection

items
object[]
_meta
object